INTERFACE
SUBROUTINE CACSTS(KPROMA,KNBPT,KTASK,PT2INC,PH2INC,&
 & PSP_SB,PSP_SG,PSP_RR,PSP_CI,PSP_X2,PSD_VF,PSD_VV,PSD_VX,&
 & PGELAT,PGELAM,PGEMU) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE SURFACE_FIELDS_MIX, ONLY : YSP_SGD, YSP_SG,YSP_RRD, YSP_RR,YSD_VVD, YSD_VV,&
 & YSD_VFD, YSD_VF, YSP_CID, YSP_CI, YSP_X2D, YSP_X2, YSP_SBD, YSP_SB,&
 & YSD_VXD, YSD_VX 
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPT
INTEGER(KIND=JPIM),INTENT(IN) :: KTASK
REAL(KIND=JPRB) ,INTENT(IN) :: PT2INC(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PH2INC(KNBPT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SB(KPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SG(KPROMA,YSP_SGD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_RR(KPROMA,YSP_RRD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_CI(KPROMA,YSP_CID%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PSP_X2(KPROMA,YSP_X2D%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VF(KPROMA,YSD_VFD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VV(KPROMA,YSD_VVD%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PSD_VX(KPROMA,YSD_VXD%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KNBPT)
END SUBROUTINE CACSTS
END INTERFACE
